GNU bug report logs - #38348
[2.9.5] Stack overflow when stdout is closed

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guile; Reported by: Ludovic Courtès <ludo@HIDDEN>; dated Sat, 23 Nov 2019 16:47:04 UTC; Maintainer for guile is bug-guile@HIDDEN.

Message received at 38348 <at> debbugs.gnu.org:


Received: (at 38348) by debbugs.gnu.org; 12 Dec 2019 21:47:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 12 16:47:09 2019
Received: from localhost ([127.0.0.1]:60993 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ifWIe-00074u-QB
	for submit <at> debbugs.gnu.org; Thu, 12 Dec 2019 16:47:09 -0500
Received: from eggs.gnu.org ([209.51.188.92]:45767)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1ifWIc-0006z1-36
 for 38348 <at> debbugs.gnu.org; Thu, 12 Dec 2019 16:47:07 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:45627)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1ifWIU-0005sH-8x; Thu, 12 Dec 2019 16:46:58 -0500
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=43774 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1ifWIT-0004aC-NO; Thu, 12 Dec 2019 16:46:58 -0500
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: 38348 <at> debbugs.gnu.org
Subject: Re: bug#38348: [2.9.5] Stack overflow when stdout is closed
References: <87imna5ymx.fsf@HIDDEN>
Date: Thu, 12 Dec 2019 22:46:56 +0100
In-Reply-To: <87imna5ymx.fsf@HIDDEN> ("Ludovic
 \=\?utf-8\?Q\?Court\=C3\=A8s\=22'\?\=
 \=\?utf-8\?Q\?s\?\= message of "Sat, 23 Nov 2019 17:46:30 +0100")
Message-ID: <87lfrh43ov.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 38348
Cc: Andy Wingo <wingo@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi,

Ludovic Court=C3=A8s <ludo@HIDDEN> skribis:

> Guile 2.9.5 segfaults from a C stack overflow when you start it with a
> closed stdout:
>
>   /gnu/store/7vwf3nhiacxc2jgcg43w22px4ds3rb36-guile-next-2.9.5/bin/guile =
-c '(pk 1)' >&-
>
> The backtrace looks like this:
>
> (gdb) bt -30
> #312742 0x00007f2ea9b2961f in scm_error (key=3Dwrong-type-arg, subr=3Dsub=
r@entry=3D0x0, message=3Dmessage@entry=3D0x7f2ea9bcafb6 "Wrong type (expect=
ing ~A): ~S",=20
>     args=3D("output port" #f), rest=3Drest@entry=3D(#f)) at error.c:62
> #312743 0x00007f2ea9b299a4 in scm_wrong_type_arg_msg (subr=3Dsubr@entry=
=3D0x0, pos=3Dpos@entry=3D0, bad_value=3Dbad_value@entry=3D#f,=20
>     szMessage=3DszMessage@entry=3D0x7f2ea9bc98a5 "output port") at error.=
c:275
> #312744 0x00007f2ea9b755bd in scm_puts (s=3Ds@entry=3D0x7f2ea9bd92c0 "Pre=
-boot error; key: ", port=3Dport@entry=3D#f) at ports.c:3625

In 2.9.6 the stack overflow is fixed (yay!) but we still get the error
above:

--8<---------------cut here---------------start------------->8---
$ guile --version >&-
Error while printing pre-boot error: wrong-type-arg
Abortita(nekropsio el=C5=9Dutita)
$ guile --version
guile (GNU Guile) 2.9.6
Copyright (C) 2019 Free Software Foundation, Inc.

License LGPLv3+: GNU LGPL 3 or later <http://gnu.org/licenses/lgpl.html>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.
--8<---------------cut here---------------end--------------->8---

Ludo=E2=80=99.




Information forwarded to bug-guile@HIDDEN:
bug#38348; Package guile. Full text available.
Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.

Message received at 38348-done <at> debbugs.gnu.org:


Received: (at 38348-done) by debbugs.gnu.org; 25 Nov 2019 22:04:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Nov 25 17:04:35 2019
Received: from localhost ([127.0.0.1]:49831 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iZMTC-0007MN-TU
	for submit <at> debbugs.gnu.org; Mon, 25 Nov 2019 17:04:35 -0500
Received: from eggs.gnu.org ([209.51.188.92]:56636)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <wingo@HIDDEN>) id 1iZMTB-0007MC-G4
 for 38348-done <at> debbugs.gnu.org; Mon, 25 Nov 2019 17:04:33 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:46042)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <wingo@HIDDEN>) id 1iZMT0-0008Dj-0D
 for 38348-done <at> debbugs.gnu.org; Mon, 25 Nov 2019 17:04:23 -0500
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=45972 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <wingo@HIDDEN>) id 1iZMSz-0002Zm-Bp
 for 38348-done <at> debbugs.gnu.org; Mon, 25 Nov 2019 17:04:21 -0500
Resent-To: 38348-done <at> debbugs.gnu.org
Resent-From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
Resent-Date: Mon, 25 Nov 2019 23:04:20 +0100
Resent-Message-ID: <87lfs3vcij.fsf@HIDDEN>
Received: from solo.fdn.fr ([unix socket])
 by solo (Cyrus 2.5.10-Debian-2.5.10-3.2) with LMTPA;
 Mon, 25 Nov 2019 09:48:04 +0100
X-Sieve: CMU Sieve 2.4
Received: by solo.fdn.fr (Postfix)
 id 18266D0C9C; Mon, 25 Nov 2019 09:48:04 +0100 (CET)
Received: from eggs.gnu.org (eggs.gnu.org [IPv6:2001:470:142:3::10])
 (using TLSv1 with cipher AES256-SHA (256/256 bits))
 (Client did not present a certificate)
 by solo.fdn.fr (Postfix) with ESMTPS id D59E2D0C91
 for <ludovic.courtes@HIDDEN>; Mon, 25 Nov 2019 09:48:03 +0100 (CET)
Received: from fencepost.gnu.org ([2001:470:142:3::e]:60957)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <wingo@HIDDEN>) id 1iZA2K-0007C2-Hw
 for ludovic.courtes@HIDDEN; Mon, 25 Nov 2019 03:48:00 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:51057)
 by fencepost.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <wingo@HIDDEN>) id 1iZA2K-0004PN-4p
 for ludo@HIDDEN; Mon, 25 Nov 2019 03:48:00 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <wingo@HIDDEN>) id 1iZA2J-0007B1-13
 for ludo@HIDDEN; Mon, 25 Nov 2019 03:48:00 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,URIBL_BLOCKED
 autolearn=disabled version=3.3.2
Received: from fanzine.igalia.com ([178.60.130.6]:58071)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <wingo@HIDDEN>) id 1iZA2I-00079d-Eb
 for ludo@HIDDEN; Mon, 25 Nov 2019 03:47:58 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=igalia.com;
 s=20170329; 
 h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:References:Subject:Cc:To:From;
 bh=hf1OTbrHZWfVgX+rv3g+K/JstTMKAevesuM0VzsFAxc=; 
 b=Qq+G4+lfzGSMGcpQACh80nw8nprK45ul7SnVQPQiuyIOVgk4PY42uhSl4ZKaoGjeLq9zoeWjwRHO88EyAmnQpb/NRYIqkg53TSvF3bLmJ2hAUyZnUSaAEcK7jkbRymsLysCKDz8EUuS1kKE3B5ovod6YB9NSm2rGZ9r7vldx8yNvHGLfaaC6gd1jz+hf+6g8kpzCpCZWCdVOjMUugUOCiezhrRoYaDhWOBemhx/hUlfIKE+WbWBRFvLrj5orC3No5Foe7aG9Fv/GSRamzWj86NacHDzgWzzWP3Pa0ee875yOG/ARjONAq4Y3dGxNmMzGGrpYuA7eSphjUaZe76TjNw==;
Received: from lfbn-ann-1-376-195.w86-200.abo.wanadoo.fr ([86.200.91.195]
 helo=milano) by fanzine.igalia.com with esmtpsa 
 (Cipher TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim)
 id 1iZA2E-0000qo-Cl; Mon, 25 Nov 2019 09:47:54 +0100
From: Andy Wingo <wingo@HIDDEN>
To: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Subject: Re: bug#38348: [2.9.5] Stack overflow when stdout is closed
References: <87imna5ymx.fsf@HIDDEN>
Date: Mon, 25 Nov 2019 09:47:44 +0100
In-Reply-To: <87imna5ymx.fsf@HIDDEN> ("Ludovic
 \=\?utf-8\?Q\?Court\=C3\=A8s\=22'\?\=
 \=\?utf-8\?Q\?s\?\= message of "Sat, 23 Nov 2019 17:46:30 +0100")
Message-ID: <87a78k1gwf.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x (no
 timestamps) [generic] [fuzzy]
X-Received-From: 178.60.130.6
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -1.6 (-)
X-Debbugs-Envelope-To: 38348-done
Cc: 38348-don <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.6 (--)

Hey :)

On Sat 23 Nov 2019 17:46, Ludovic Court=C3=A8s <ludo@HIDDEN> writes:

> Hello!
>
> Guile 2.9.5 segfaults from a C stack overflow when you start it with a
> closed stdout:
>
>   /gnu/store/7vwf3nhiacxc2jgcg43w22px4ds3rb36-guile-next-2.9.5/bin/guile =
-c '(pk 1)' >&-

Fixed, thanks!

Cheers,

Andy




Notification sent to Ludovic Courtès <ludo@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Andy Wingo <wingo@HIDDEN>:
You have taken responsibility. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 23 Nov 2019 16:47:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 23 11:47:04 2019
Received: from localhost ([127.0.0.1]:57675 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iYYYn-0006Xh-JA
	for submit <at> debbugs.gnu.org; Sat, 23 Nov 2019 11:47:03 -0500
Received: from lists.gnu.org ([209.51.188.17]:46200)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1iYYYN-0006X0-CJ
 for submit <at> debbugs.gnu.org; Sat, 23 Nov 2019 11:46:35 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:33130)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <ludo@HIDDEN>) id 1iYYYL-0003fG-OR
 for bug-guile@HIDDEN; Sat, 23 Nov 2019 11:46:35 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.0 required=5.0 tests=ALL_TRUSTED,BAYES_20
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:470:142:3::e]:34217)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1iYYYL-0003ER-Ku
 for bug-guile@HIDDEN; Sat, 23 Nov 2019 11:46:33 -0500
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=33362 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>) id 1iYYYL-0000Pl-4v
 for bug-guile@HIDDEN; Sat, 23 Nov 2019 11:46:33 -0500
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: bug-guile@HIDDEN
Subject: [2.9.5] Stack overflow when stdout is closed
X-Debbugs-Cc: Andy Wingo <wingo@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 3 Frimaire an 228 de la =?utf-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Sat, 23 Nov 2019 17:46:30 +0100
Message-ID: <87imna5ymx.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hello!

Guile 2.9.5 segfaults from a C stack overflow when you start it with a
closed stdout:

  /gnu/store/7vwf3nhiacxc2jgcg43w22px4ds3rb36-guile-next-2.9.5/bin/guile -c=
 '(pk 1)' >&-

The backtrace looks like this:

--8<---------------cut here---------------start------------->8---
(gdb) bt -30
#312742 0x00007f2ea9b2961f in scm_error (key=3Dwrong-type-arg, subr=3Dsubr@=
entry=3D0x0, message=3Dmessage@entry=3D0x7f2ea9bcafb6 "Wrong type (expectin=
g ~A): ~S",=20
    args=3D("output port" #f), rest=3Drest@entry=3D(#f)) at error.c:62
#312743 0x00007f2ea9b299a4 in scm_wrong_type_arg_msg (subr=3Dsubr@entry=3D0=
x0, pos=3Dpos@entry=3D0, bad_value=3Dbad_value@entry=3D#f,=20
    szMessage=3DszMessage@entry=3D0x7f2ea9bc98a5 "output port") at error.c:=
275
#312744 0x00007f2ea9b755bd in scm_puts (s=3Ds@entry=3D0x7f2ea9bd92c0 "Pre-b=
oot error; key: ", port=3Dport@entry=3D#f) at ports.c:3625
#312745 0x00007f2ea9ba468c in scm_throw (key=3Dkey@entry=3Dwrong-type-arg, =
args=3D(#f "Wrong type (expecting ~A): ~S" ("output port" #f) (#f))) at thr=
ow.c:247
#312746 0x00007f2ea9ba4809 in scm_ithrow (key=3Dkey@entry=3Dwrong-type-arg,=
 args=3D<optimized out>, no_return=3Dno_return@entry=3D1) at throw.c:448
#312747 0x00007f2ea9b29585 in scm_error_scm (key=3Dkey@entry=3Dwrong-type-a=
rg, subr=3D<optimized out>, message=3Dmessage@entry=3D"Wrong type (expectin=
g ~A): ~S",=20
    args=3Dargs@entry=3D("output port" #f), data=3Ddata@entry=3D(#f)) at er=
ror.c:90
#312748 0x00007f2ea9b2961f in scm_error (key=3Dwrong-type-arg, subr=3Dsubr@=
entry=3D0x0, message=3Dmessage@entry=3D0x7f2ea9bcafb6 "Wrong type (expectin=
g ~A): ~S",=20
    args=3D("output port" #f), rest=3Drest@entry=3D(#f)) at error.c:62
#312749 0x00007f2ea9b299a4 in scm_wrong_type_arg_msg (subr=3Dsubr@entry=3D0=
x0, pos=3Dpos@entry=3D0, bad_value=3Dbad_value@entry=3D#f,=20
    szMessage=3DszMessage@entry=3D0x7f2ea9bc98a5 "output port") at error.c:=
275
#312750 0x00007f2ea9b755bd in scm_puts (s=3Ds@entry=3D0x7f2ea9bd92c0 "Pre-b=
oot error; key: ", port=3Dport@entry=3D#f) at ports.c:3625
#312751 0x00007f2ea9ba468c in scm_throw (key=3Dkey@entry=3Dmisc-error, args=
=3D("scm_fdes_to_port" "requested file mode not available on fdes" () #f)) =
at throw.c:247
#312752 0x00007f2ea9ba4809 in scm_ithrow (key=3Dkey@entry=3Dmisc-error, arg=
s=3D<optimized out>, no_return=3Dno_return@entry=3D1) at throw.c:448
#312753 0x00007f2ea9b29585 in scm_error_scm (key=3Dkey@entry=3Dmisc-error, =
subr=3D<optimized out>, message=3Dmessage@entry=3D"requested file mode not =
available on fdes",=20
    args=3Dargs@entry=3D(), data=3Ddata@entry=3D#f) at error.c:90
#312754 0x00007f2ea9b2961f in scm_error (key=3Dmisc-error, subr=3Dsubr@entr=
y=3D0x7f2ea9bcd320 "scm_fdes_to_port",=20
    message=3Dmessage@entry=3D0x7f2ea9bcd380 "requested file mode not avail=
able on fdes", args=3Dargs@entry=3D(), rest=3Drest@entry=3D#f) at error.c:62
#312755 0x00007f2ea9b29a02 in scm_misc_error (subr=3Dsubr@entry=3D0x7f2ea9b=
cd320 "scm_fdes_to_port",=20
    message=3Dmessage@entry=3D0x7f2ea9bcd380 "requested file mode not avail=
able on fdes", args=3Dargs@entry=3D()) at error.c:295
#312756 0x00007f2ea9b39138 in scm_i_fdes_to_port (fdes=3D1, mode_bits=3D102=
4, name=3Dname@entry=3D#f, options=3Doptions@entry=3D1) at fports.c:429
#312757 0x00007f2ea9b3958b in scm_fdes_to_port (fdes=3D<optimized out>, mod=
e=3D<optimized out>, name=3Dname@entry=3D#f) at fports.c:457
#312758 0x00007f2ea9b43bc1 in stream_body (data=3D<optimized out>) at init.=
c:170
#312759 0x00007f2ea9b2c87a in scm_c_with_exception_handler (type=3Dtype@ent=
ry=3D#t, handler=3Dhandler@entry=3D0x7f2ea9ba41f0 <catch_post_unwind_handle=
r>,=20
    handler_data=3Dhandler_data@entry=3D0x7ffe000e2810, thunk=3Dthunk@entry=
=3D0x7f2ea9ba4330 <catch_body>, thunk_data=3Dthunk_data@entry=3D0x7ffe000e2=
810) at exceptions.c:170
#312760 0x00007f2ea9ba452d in scm_c_catch (tag=3Dtag@entry=3D#t, body=3Dbod=
y@entry=3D0x7f2ea9b43bb0 <stream_body>, body_data=3Dbody_data@entry=3D0x7ff=
e000e2880,=20
    handler=3Dhandler@entry=3D0x7f2ea9b43b10 <stream_handler>, handler_data=
=3Dhandler_data@entry=3D0x0, pre_unwind_handler=3Dpre_unwind_handler@entry=
=3D0x0,=20
    pre_unwind_handler_data=3D0x0) at throw.c:168
#312761 0x00007f2ea9ba454e in scm_internal_catch (tag=3Dtag@entry=3D#t, bod=
y=3Dbody@entry=3D0x7f2ea9b43bb0 <stream_body>, body_data=3Dbody_data@entry=
=3D0x7ffe000e2880,=20
    handler=3Dhandler@entry=3D0x7f2ea9b43b10 <stream_handler>, handler_data=
=3Dhandler_data@entry=3D0x0) at throw.c:177
#312762 0x00007f2ea9b43b8e in scm_standard_stream_to_port (fdes=3Dfdes@entr=
y=3D1, mode=3D0x7f2ea9bcbddd "w") at init.c:198
#312763 0x00007f2ea9b43f64 in scm_init_standard_ports () at init.c:225
#312764 scm_i_init_guile (base=3D<optimized out>) at init.c:502
#312765 0x00007f2ea9ba2f68 in scm_i_init_thread_for_guile (base=3D0x7ffe000=
e2918, dynamic_state=3D<error reading variable: ERROR: Cannot access memory=
 at address 0x0>0x0)
    at threads.c:570
#312766 0x00007f2ea9ba2f99 in with_guile (base=3D0x7ffe000e2918, data=3D0x7=
ffe000e2940) at threads.c:638
#312767 0x00007f2ea9a88a68 in GC_call_with_stack_base () from /gnu/store/3x=
s3dnc28p9fi8in7hkfcdx20incrdvq-libgc-7.6.12/lib/libgc.so.1
#312768 0x00007f2ea9ba32e8 in scm_i_with_guile (dynamic_state=3D<optimized =
out>, data=3Ddata@entry=3D0x7ffe000e2940, func=3Dfunc@entry=3D0x7f2ea9b43b2=
0 <invoke_main_func>)
    at threads.c:688
#312769 scm_with_guile (func=3Dfunc@entry=3D0x7f2ea9b43b20 <invoke_main_fun=
c>, data=3Ddata@entry=3D0x7ffe000e2970) at threads.c:694
#312770 0x00007f2ea9b43cd2 in scm_boot_guile (argc=3Dargc@entry=3D17, argv=
=3Dargv@entry=3D0x7ffe000e2ac8, main_func=3Dmain_func@entry=3D0x401240 <inn=
er_main>,=20
    closure=3Dclosure@entry=3D0x0) at init.c:321
#312771 0x0000000000401100 in main (argc=3D17, argv=3D0x7ffe000e2ac8) at gu=
ile.c:95
--8<---------------cut here---------------end--------------->8---

I noticed it because the silent rule in the Makefile of GnuTLS does this:

--8<---------------cut here---------------start------------->8---
%.go: %.scm modules/gnutls.scm
	$(AM_V_GUILEC)$(MKDIR_P) "`dirname "$@"`" ;			\
	$(AM_V_P) && out=3D1 || out=3D- ;					\
	unset GUILE_LOAD_COMPILED_PATH ; LC_ALL=3DC			\
	GUILE_AUTO_COMPILE=3D0 $(CROSS_COMPILING_VARIABLE)		\
	GNUTLS_GUILE_EXTENSION_DIR=3D"$(abs_top_builddir)/guile/src"	\
	$(GUILD) compile --target=3D"$(host)"				\
	  -L "$(top_builddir)/guile/modules"				\
	  -L "$(top_srcdir)/guile/modules"				\
	  -Wformat -Wunbound-variable -Warity-mismatch			\
	  -o "$@" "$<" >&$$out
--8<---------------cut here---------------end--------------->8---

I suspect the same trick can be found elsewhere.

Thanks,
Ludo=E2=80=99.




Acknowledgement sent to Ludovic Courtès <ludo@HIDDEN>:
New bug report received and forwarded. Copy sent to wingo@HIDDEN, bug-guile@HIDDEN. Full text available.
Report forwarded to wingo@HIDDEN, bug-guile@HIDDEN:
bug#38348; Package guile. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 12 Dec 2019 22:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.